Page MenuHomePhabricator

[Spike] Explore ways of creating a stateless web service in Python
Closed, InvalidPublic

Description

In T171960: Create a library to post-process PDF and add page numbers and table of contents we're creating a library that post-processes PDFs. In T173579: Expose PDF post-processing scripts as a stateless web service we want to expose that library as a stateless web service. This spike is about which Python server library to use in creating that service. Rather, do we want to do this in Python, or can we use Node.js and call the python script from it?

A/C

  • Do we want to create the server in Python or Javascript? Why one over the other? Investigate the question from various angles such as development, operations, and services.
  • If we want to use Python, then should we use Tornado or something else?
  • If we can do this in Node.js, should we use service template node?

Related Objects

StatusSubtypeAssignedTask
ResolvedJKatzWMF
InvalidNone
StalledNone
InvalidNone
DuplicateNone
DeclinedNone
InvalidNone
InvalidNone
Resolvedbmansurov
Invalidovasileva
Resolvedovasileva
ResolvedJdlrobson
Resolvedpmiazga
Resolvedphuedx
Resolvedovasileva
Invalidovasileva
Resolvedphuedx
Resolvedphuedx
ResolvedJdlrobson
InvalidNone
Resolvedovasileva
InvalidNone
InvalidNone
Resolved dpatrick

Event Timeline

bmansurov triaged this task as High priority.Dec 6 2017, 7:08 PM
bmansurov created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2017, 7:08 PM
Jdlrobson changed the task status from Open to Stalled.Feb 6 2018, 1:00 AM
Jdlrobson lowered the priority of this task from High to Medium.
Jdlrobson added a subscriber: Jdlrobson.

Is this task still needed?
Stalling per https://phabricator.wikimedia.org/T171960#3934650

ovasileva closed this task as Invalid.Apr 9 2018, 2:49 PM

Closing as per T184772#4116906. Pediapress will be taking on rendering of PDF books.